## moviepy 2.1.2

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build
PDFBUILDDIR   = /tmp
PDF           = ../manual.pdf

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/MoviePy.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/MoviePy.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/MoviePy"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/MoviePy"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(PDFBUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(PDFBUILDDIR)/latex all-pdf
	cp $(PDFBUILDDIR)/latex/*.pdf $(PDF)
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

## moviepy 1.0.3

=== debian/changelog ===
moviepy (1.0.3-2) unstable; urgency=medium

  * Source-only upload for migration to testing.

 -- Roland Mas <lolando@debian.org>  Mon, 24 Jan 2022 22:14:48 +0100

moviepy (1.0.3-1) unstable; urgency=low

  * Initial upload (closes: #814529).
  * Source package automatically created by stdeb 0.10.0 then tweaked by hand.
  * Port to GraphicsMagick instead of ImageMagick (to avoid policy
    restrictions).

 -- Roland Mas <lolando@debian.org>  Sun, 26 Sep 2021 19:09:27 +0200

=== debian/control ===
Source: moviepy
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Roland Mas <lolando@debian.org>
Section: python
Priority: optional
Build-Depends: dh-python, python3-setuptools, python3-all, debhelper (>= 13),
 python3-pip, python3-wheel, python3-pytest, python3-pytest-cov, python3-coverage,
 python3-requests, python3-numpy, python3-imageio, python3-decorator,
 python3-proglog, ffmpeg, graphicsmagick-imagemagick-compat,
 fonts-liberation, gsfonts
Standards-Version: 4.5.1
Homepage: https://zulko.github.io/moviepy/
Vcs-Git: https://salsa.debian.org/python-team/packages/moviepy.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/moviepy

Package: python3-moviepy
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, python3-imageio,
 python3-proglog, python3-tqdm, python3-decorator, python3-numpy,
 python3-requests, ffmpeg
Suggests: python3-opencv, python3-skimage, python3-sklearn,
 python3-scipy, python3-matplotlib, youtube-dl, python3-pil,
 graphicsmagick-imagemagick-compat, fonts-liberation, gsfonts
Description: Video editing with Python
 MoviePy is a Python library for video editing: cutting,
 concatenations, title insertions, video compositing
 (a.k.a. non-linear editing), video processing, and creation of custom
 effects.

=== debian/rules ===
#!/usr/bin/make -f

# This file was automatically generated by stdeb 0.10.0 at
# Wed, 15 Sep 2021 15:59:32 +0200
export PYBUILD_NAME=moviepy
%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
	SOURCE_PATH=$(CURDIR) dh_auto_test --buildsystem=pybuild

=== debian/watch ===
# please also check http://pypi.debian.net/moviepy/watch
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
  https://github.com/Zulko/moviepy/tags \
  (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## moviepy 2.1.2

=== debian/changelog ===
moviepy (2.1.2-3) unstable; urgency=medium

  * Team upload.
  * Change BD graphicsmagick-imagemagick-compat to graphicsmagick.
  * Change suggests on youtube-dl to yt-dlp. Closes: #1118112.
  * Drop "Priority: optional" (default).
  * Update standards-version.
  * Add debian/salsa-ci.yml.

 -- Santiago Vila <sanvila@debian.org>  Mon, 03 Nov 2025 20:40:00 +0100

moviepy (2.1.2-2) unstable; urgency=medium

  * Source-only upload for migration to testing.

 -- Roland Mas <lolando@debian.org>  Tue, 01 Apr 2025 17:22:26 +0200

moviepy (2.1.2-1) unstable; urgency=medium

  * Reintroduce package into unstable, with a new upstream release.

 -- Roland Mas <lolando@debian.org>  Fri, 21 Mar 2025 17:20:52 +0100

moviepy (0.0~git20230422122735.69ac313-1~0) unstable; urgency=medium

  * New upstream snapshot.

 -- Roland Mas <lolando@debian.org>  Wed, 24 May 2023 09:16:48 +0200

moviepy (0.0~git20221010154236.858bb81-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Roland Mas <lolando@debian.org>  Fri, 03 Feb 2023 15:43:35 +0100

=== debian/control ===
Source: moviepy
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Roland Mas <lolando@debian.org>,
Section: python
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 dh-sequence-python3,
 ffmpeg,
 fonts-liberation,
 graphicsmagick,
 gsfonts,
 pybuild-plugin-pyproject,
 python3-all,
 python3-coverage,
 python3-decorator,
 python3-imageio,
 python3-imageio-ffmpeg,
 python3-numpy,
 python3-pip,
 python3-proglog,
 python3-pytest,
 python3-pytest-cov,
 python3-requests,
 python3-setuptools,
 python3-wheel,
Standards-Version: 4.7.2
Homepage: https://zulko.github.io/moviepy/
Vcs-Git: https://salsa.debian.org/python-team/packages/moviepy.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/moviepy

Package: python3-moviepy
Architecture: all
Depends:
 ffmpeg,
 python3-decorator,
 python3-imageio,
 python3-numpy,
 python3-proglog,
 python3-requests,
 python3-tqdm,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 fonts-liberation,
 graphicsmagick-imagemagick-compat,
 gsfonts,
 python3-matplotlib,
 python3-opencv,
 python3-pil,
 python3-scipy,
 python3-skimage,
 python3-sklearn,
 yt-dlp,
Description: Video editing with Python
 MoviePy is a Python library for video editing: cutting,
 concatenations, title insertions, video compositing
 (a.k.a. non-linear editing), video processing, and creation of custom
 effects.

=== debian/rules ===
--- 
+++ 
@@ -7,4 +7,3 @@
 	dh $@ --with python3 --buildsystem=pybuild
 
 override_dh_auto_test:
-	SOURCE_PATH=$(CURDIR) dh_auto_test --buildsystem=pybuild
